Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.mindcase.co/llms.txt

Use this file to discover all available pages before exploring further.

$1.4 / 1k posts Extract Instagram tagged posts and mentions for a username, including text, hashtags, comments, images, likes, and locations

Endpoint

POST /api/v1/agents/instagram/mentions/run

Parameters

username
array
required
List · Instagram usernames or profile URLs to fetch tagged posts for. One per line.
maxResults
integer
default:50
Number · Maximum number of user tagged posts you want to scrape per profile. Use 0 for all.

Response columns

FieldDisplay nameType
usernameUsernametext
profileUrlProfile URLurl
postUrlPost URLurl
captionCaptiontext
typeTypetext
productTypeProduct Typetext
postedPostedtext
authorAuthortext
authorNameAuthor Nametext
likesLikesnumber
commentsCommentsnumber
videoPlaysVideo Playsnumber
imageImageurl
hashtagsHashtagstext
mentionsMentionstext
locationLocationtext
taggedUserTagged Usertext

Example

curl -X POST https://api.mindcase.co/api/v1/agents/instagram/mentions/run \
  -H "Authorization: Bearer mk_live_abc123def456" \
  -H "Content-Type: application/json" \
  -d '{
  "params": {
    "username": [
      "natgeo"
    ],
    "maxResults": 10
  }
}'

Example response

Response
{
  "job_id": "job_7f3a2b1c",
  "status": "completed",
  "data": [
    {
      "username": "https://www.instagram.com/natgeo",
      "profileUrl": "https://www.instagram.com/natgeo",
      "postUrl": "https://www.instagram.com/p/BrGHMHIF8Kz/",
      "caption": "Vardzia is a cave monastery site located in southern Georgia. It is excavated from the slopes of the Erusheti Mountain on the left side of the Kura River. Oh Georgia, I miss you when I look at these images \ud83d\ude2d #georgia #exploregeorgia #MavicPro\n.\n.\n.\n.\n.\n#mymavic #awesome_earthpix #collectivelycreate #exploretocreate #livefolk #beautifuldestinations #iglifecz #folkcreative #exklusive_shot #AGameOfTones #igerscz #discoverglobe #QueekyGrams #ourplanetdaily #adventureculture #welivetoexplore #stayandwander #dnescestujem #droneofficial #droneoftheday #dronesdaily #dji #fromwhereidrone #earthofficial #natgeo #MavicPro @beautifuldestinations @roamtheplanet @earthofficial @earthpix @folkmagazine @liveoutdoor.s @awesomeglobe @awesome.earth @djiglobal @fromwhereidrone @dronestagr.am @droneoftheday @droneofficial @earthstoke @livefolk @global_hotshotz @vzcomood @artofvisuals @majestic_earth_ @folkvibe @welivetoexplore @lastingvisuals @mountainsphoto @theglobewanderer @tentree @awesome.earth @awesomeglobe @ourplanetdaily",
      "type": "Image",
      "productType": "feed",
      "posted": "2018-12-07T18:04:27.000Z",
      "author": "hynecheck",
      "authorName": "Hynek Hampl",
      "likes": 14024,
      "comments": 578,
      "videoPlays": 0,
      "image": "https://instagram.ftia13-1.fna.fbcdn.net/v/t51.82787-15/640956567_18562047613037433_6822966074348684895_n.jpg?stp=dst-jpg_e35_tt6&_nc_cat=102&ig_cache_key=MTkyOTI2MTEwODk4NjEwMjQ1MQ%3D%3D.3-ccb7-5&ccb=7-5&_nc_sid=58cdad&efg=eyJ2ZW5jb2RlX3RhZyI6InhwaWRzLjEwODB4MTMzNC5zZHIuQzMifQ%3D%3D&_nc_ohc=2N2ZpOxmuwMQ7kNvwFYyXCv&_nc_oc=AdoCyQqggccXmglnFJo-ImmU_E36JjWZVl0rbOLalFkPQcK0x5FjEENLmfcoLapSrMk&_nc_ad=z-m&_nc_cid=0&_nc_zt=23&se=8&_nc_ht=instagram.ftia13-1.fna&_nc_gid=8_I7Dj4vDqrst948YSA3-w&_nc_ss=7a3ba&oh=00_Af5t_9F_85JBs2bOYxCtQbdHTJ6Kz1x_ktdqPQfnpp24SQ&oe=69FA7FA2",
      "hashtags": [
        "georgia",
        "exploregeorgia",
        "MavicPro",
        "mymavic",
        "awesome_earthpix",
        "collectivelycreate",
        "exploretocreate",
        "livefolk",
        "beautifuldestinations",
        "iglifecz",
        "folkcreative",
        "exklusive_shot",
        "AGameOfTones",
        "igerscz",
        "discoverglobe",
        "QueekyGrams",
        "ourplanetdaily",
        "adventureculture",
        "welivetoexplore",
        "stayandwander",
        "dnescestujem",
        "droneofficial",
        "droneoftheday",
        "dronesdaily",
        "dji",
        "fromwhereidrone",
        "earthofficial",
        "natgeo"
      ],
      "mentions": [
        "beautifuldestinations",
        "roamtheplanet",
        "earthofficial",
        "earthpix",
        "folkmagazine",
        "liveoutdoor.s",
        "awesomeglobe",
        "awesome.earth",
        "djiglobal",
        "fromwhereidrone",
        "dronestagr.am",
        "droneoftheday",
        "droneofficial",
        "earthstoke",
        "livefolk",
        "global_hotshotz",
        "vzcomood",
        "artofvisuals",
        "majestic_earth_",
        "folkvibe",
        "welivetoexplore",
        "lastingvisuals",
        "mountainsphoto",
        "theglobewanderer",
        "tentree",
        "ourplanetdaily"
      ],
      "location": "Vardzia, Aspindzis Raioni, Georgia",
      "taggedUser": null
    }
  ]
}